/* Added css from DPEX react */
:root{
    --primary-color: #3af1c6;
    --primary-hover: #79f2d6;
    --primary-hover-light: #9ff3e0;
    --primary-box-shadow: #b0f0e1;
    --primary-disabled: #a8f0df;
    --light-color: rgba(255, 250, 250, 0);
    --light-hover: rgba(255, 250, 250, 0);
    --light-hover-light: #fefefe;
    --light-box-shadow: #dcdcdc;
    --light-disabled: #fbfbfb;
    --primary-hover-light: #fefefe;
    --navbar-hover: #797979;
    --navbar-active: #5f5f5f;
    --btn-close-box-color: #8e8e8e;
    --danger-color: #dc3545;
    --btn-danger-hover: #f35f6d;
    --btn-outline-danger-hover: #ffdce0;
    --message-margin-y: 6px;
    --own-message-background: #dcfff7;
    --secondary-hover: #92979c;
}

.content-container{
    min-height: calc(100vh - 189px);
}

.btn-primary{
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
    color: black !important
}

.btn-primary:hover{
    background-color: var(--primary-hover) !important;
    border-color: var(--primary-hover) !important;
}

.btn-primary:active{
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}

.btn-primary:focus-visible{
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
    box-shadow: 0px 0px 0px 4px var(--primary-box-shadow) !important;
}

.btn-primary:disabled{
    background-color: var(--primary-disabled) !important;
    border-color: var(--primary-disabled) !important;
}


.btn-secondary:hover{
    background-color: var(--secondary-hover) !important;
    border-color: var(--secondary-hover) !important;
}

.btn-light {
    background-color: var(--light-color) !important;
    border-color: var(--light-color) !important;
    color: black !important
}

.btn-light:hover {
    background-color: var(--light-hover) !important;
    border-color: var(--light-hover) !important;
}

.btn-light:active {
    background-color: var(--light-color) !important;
    border-color: var(--light-color) !important;
}

.btn-light:focus-visible {
    background-color: var(--light-color) !important;
    border-color: var(--light-color) !important;
    box-shadow: 0px 0px 0px 4px var(--light-box-shadow) !important;
}

.btn-light:disabled {
    background-color: var(--light-disabled) !important;
    border-color: var(--light-disabled) !important;
}


.form-control:focus, .form-select:active, .form-select:focus, .form-check-input:focus, .dropdown-toggle.show:focus-visible{
    box-shadow: 0px 0px 0px 4px var(--primary-box-shadow) !important;
    border-color: var(--primary-color) !important;
}

.navbar-btn{
    background: transparent !important;
    color: white !important;
    border: transparent !important
}

.navbar-btn:hover{
    background-color: var(--navbar-hover) !important;
    border-color: var(--primary-hover) !important;
}

.navbar-btn:active{
    background-color: var(--navbar-active) !important;
    border-color: var(--navbar-active) !important;
}

.navbar-btn:focus-visible{
    background: transparent;
    border: transparent;
}

.btn-close{
    margin-left: 6px !important
}

.btn-close:active, .btn-close:focus, .toast-open-chat-btn:active, .toast-open-chat-btn:focus{
    box-shadow: 0px 0px 0px 2px var(--btn-close-box-color);
}

.btn-round{
    border-radius: 50px !important;
    width: 38px !important;
}

.form-check-input:checked{
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}

.form-check-input:focus{
    color: black !important
}

.btn-primary::after{
    position: relative;
    top: 2px;
}

.three-dots-btn{
    background: transparent;
    border: transparent;
    color: white !important;
    padding: 0px;
}

.three-dots-btn:hover{
    background: transparent !important;
    color:  #b5b5b5 !important;
}

.three-dots-btn:focus{
    background: transparent;
    
}

.three-dots-btn:before{
    display: none !important
}

.dropdown-item:hover{
    background-color: lightgray;
}

.dropdown-item:active{
    background-color: grey;
    color: black;
}

.bpm-id-dropdown-toggle.show{
    background: transparent;
    border: transparent;
}

.logout-dropdown-item{
    color: white !important
}

.logout-dropdown-item:hover{
    background-color: var(--navbar-hover);
}

.logout-dropdown-item:active{
    background: var(--primary-color);
}

.btn-danger:hover{
    background-color: var(--btn-danger-hover);
    border-color: var(--btn-danger-hover);
}

.btn-danger:active, .btn-danger:focus-visible{
    background-color: var(--danger-color) !important;
    border-color: var(--danger-color) !important;
}

.btn-outline-danger:hover{
    background-color: var(--btn-outline-danger-hover);
    color: var(--danger-color)
}

.btn-outline-danger:focus-visible{
    background-color: white;
    color: var(--danger-color)
}

.toast-open-chat-btn{
    background: transparent !important;
    color: rgba(33, 37, 41, 0.75) !important;
    padding: 3.5px;
    margin-left: 6px;
    border: none;
    height: 21px;
}

.toast-open-chat-btn:hover{
    color: black !important;
    background: transparent !important;

}

.member-btn{
    width: 100%;
    background: transparent;
    border: transparent;
    text-align: left;
    margin-top: 8px;
    margin-bottom: 8px;
    font-size: 18px;
    padding: 8px
}

.member-btn:hover{
    background: #e8e8e8 !important;
}

.member-btn:focus-visible{
    background: transparent;
    box-shadow: 0px 0px 0px 2px var(--btn-close-box-color);
}

.member-btn:active{
    background: #e1e1e1 !important;
}

.gir-link{
    color: black;
    text-decoration: none;
}

.gir-link:hover{
    color: darkgrey;
}

.error-code{
    font-size: 20vh;
    text-align: center;
    padding-top: 20px;
    margin-left: 0px;
    margin-right: 0px;
}

.error-message{
    font-size: 5vh;
    text-align: center;
    padding-top: 50px;
    margin-left: 0px;
    margin-right: 0px;
}

.c-hand{
    cursor: pointer;
}

.list-group-item-action:hover{
    background-color: #ececec !important;
}

.delete-connector-icon-enabled{
    color: var(--danger-color);
    
}

.delete-connector-icon-enabled:hover{
    cursor: pointer;
    color: red;
}

.delete-connector-icon-disabled{
    color: grey;
}

.delete-connector-icon{
    position: relative;
    bottom: 1px;
    left: 5px;
    scale: 130%
}